<script setup lang="ts">
import { ref, provide } from 'vue'
import { RouterLink, RouterView } from 'vue-router'
import MainAppBar from './components/MainAppBar.vue'
import MainMenu from './components/MainMenu.vue'
import LoadingDialog from './components/LoadingDialog.vue';
const rail = ref(true)
const drawer = ref(true)

provide('rail', rail)
provide('drawer', drawer)
</script>

<template>
  <v-layout class="rounded rounded-md">
    <MainAppBar></MainAppBar>
    <MainMenu></MainMenu>
    <v-main class="align-center justify-center" style="min-height: 300px">
      <div class="pa-6">
        <router-view></router-view>
      </div>
    </v-main>
  </v-layout>
  <LoadingDialog/>
</template>

<style scoped></style>
